Create Service for a Vendor

Create Service for a Vendor

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

Create a Service for a Vendor API is used to create the different Services a Vendor provides their customers.

📘

The services created are associated to your Vendor object

When you create a service, this service is associated to your vendor object and will appear for all partners who connect the integration.

Requirements

Create Service for a Vendor API Call requires a name and a description

Name - This represents the name of the Service
Description - This represents the description of the Service
Category - This represents the category that the Service relates to
Subcategory - This represents the subcategory that the Service relates to

Sample Responses

When you create a service, the response will show you everything related to the vendor object, including the new service details. There is no need to save the response as you can get this information from the Get Vendor API Call.

{
  "_id": "64...69",
  "name": "API",
  "integrationKind": "custom",
  "description": "API is a custom made vendor",
  "type": "custom",
  "isPremium": false,
  "integrationType": "custom",
  "isDistributor": false,
  "externalIntegrationStatus": "notIntegrated",
  "mappingResponsibilities": [
    "accounts",
    "services"
  ],
  "modules": [
    {
      "status": "inactive",
      "externalIntegrationStatus": "comingSoon",
      "variation": "alerts",
      "mappingResponsibilities": [
        "accounts",
        "services"
      ],
      "_id": "64..6a",
      "createdAt": "2023-06-06T13:55:04.681Z",
      "updatedAt": "2023-06-06T13:55:04.681Z",
      "id": "64...6a"
    },
    {
      "status": "inactive",
      "externalIntegrationStatus": "comingSoon",
      "variation": "billing",
      "mappingResponsibilities": [
        "accounts",
        "services"
      ],
      "_id": "64...6b",
      "createdAt": "2023-06-06T13:55:04.681Z",
      "updatedAt": "2023-06-06T13:55:04.681Z",
      "id": "64...6b"
    }
  ],
  "organizationId": "64...3c",
  "attributes": [],
  "skus": [
    {
      "name": "Sample Service",
      "description": "Sample Service Description",
      "category": "security",
      "subcategory": "endpoint detection and response (EDR)",
      "_id": "64...c6",
      "id": "64...c6"
    }
  ],
  "createdAt": "2023-06-06T13:55:04.681Z",
  "updatedAt": "2023-06-06T14:57:37.230Z",
  "__v": 0,
  "apiKey": "64...6d",
  "id": "64...69"
}
Body Params
string
required
string
required
string
string
string
enum
required
Allowed:
string
enum
required
Responses

401

Unauthorized

403

Forbidden

404

Vendor Profile Not Found

429

Request limit reached (100 requests a second)

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json